# Carrier and CNAM

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/lookup/number>
{% endhint %}

Lookup the CNAM, Carrier or BOTH for a specific number.

You will be billed for 2 transactions if you use both as lookups are billed separately.

| Argument | Required | Type                                       |
| -------- | -------- | ------------------------------------------ |
| type     | yes      | <p>Options:<br>cnam<br>carrier<br>both</p> |
| number   | yes      | phone number                               |
| key      | yes      | your api key                               |

CURL Commands

{% tabs %}
{% tab title="Curl Post" %}

```javascript
curl https://v1.api19.com/lookup/number \
 -d 'type=cnam' \
 -d 'number=3033333333' \
 -d 'key=api_token'
```

{% endtab %}

{% tab title="Curl Get" %}

```javascript
curl https://v1.api19.com/lookup/number?type=both&number=3033033333&key=apikey
```

{% endtab %}
{% endtabs %}

JSON Responses

{% tabs %}
{% tab title="Both - JSON Response" %}

```json
{
  "data": {
    "carrier": {
      "status": "ok",
      "spid": "979E",
      "total_ported_spid": "50345535",
      "port_date": "2020-08-11 20:55:32",
      "fraud_risk": "high",
      "is_textable": "no",
      "lrn": "7207270948",
      "spid_name": "BANDWIDTH.COM-NSR-10X/1|0",
      "ocn_name": "unknown",
      "ocn": "000",
      "ocn_type": "unknown",
      "carrier": "Bandwidth.com",
      "name": "Bandwidth.com",
      "alt-spid": "",
      "id": "",
      "ported": ""
    },
    "carrier_o": {
      "id": "1",
      "name": "Bandwidth.com"
    }
  },
  "invalid": [],
  "missed": [],
  "number": "+13033333333",
  "pricing": {
    "breakdown": {
      "carrier": "-0.0005",
      "carrier_o": "0"
    },
    "total": "-0.0005"
  },
  "status": "ok",
  "type": "unknown",
  "cnam": "MOBILE ADDICTIO"
}

```

{% endtab %}

{% tab title="Cnam - JSON Response" %}

```json
{
  "status": "ok",
  "cnam": "MOBILE ADDICTIO"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/lookups/carrier-and-cnam.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
